SNDFILE-CONVERT(1)

NAME
sndfile-convert - convert sound files from one format to another

SYNOPSIS
sndfile-convert [-override-sample-rate=rate] [-endian=little | big | cpu] [-normalize] [encoding] input output

DESCRIPTION
sndfile-convert converts sound files from one audio format to another. The output file is overwritten it it already exists.

  Formats
The format of the output file is determined by the filename extension. The following file formats are currently recognized:

wav WAV (Microsoft)
aif AIFF (Apple/SGI)
au  AU (Sun/NeXT)
snd AU (Sun/NeXT)
raw RAW (header-less)
gsm RAW (header-less)
vox RAW (header-less)
paf PAF (Ensoniq PARIS, big-endian)
fap PAF (Ensoniq PARIS, little-endian)
svx IFF (Amiga IFF/SVX8/SV16)
nist
    SPHERE (NIST SPeech HEader Resources)
sph SPHERE (NIST SPeech HEader Resources)
voc VOC (Creative Labs)
ircam
    SF (Berkeley/IRCAM/CARL)
sf  SF (Berkeley/IRCAM/CARL)
w64 W64 (SoundFoundry WAVE 64)
mat MAT4 (GNU Octave 2.0 / Matlab 4.2)
mat4
    MAT4 (GNU Octave 2.0 / Matlab 4.2)
mat5
    MAT5 (GNU Octave 2.1 / Matlab 5.0)
pvf PVF (Portable Voice Format)
xi  XI (FastTracker 2)
htk HTK (HMM Tool Kit)
sds SDS (Midi Sample Dump Standard)
avr AVR (Audio Visual Research)
wavex
    WAVEX (MS WAVE with WAVEFORMATEX)
sd2 SD2 (Sound Designer II)
flac
    FLAC (FLAC Lossless Audio Codec)
caf CAF (Apple Core Audio File)
wve WVE (Psion Series 3)
prc WVE (Psion Series 3)
ogg OGG (OGG Container format)
oga OGG (OGG Container format)
mpc MPC (Akai MPC 2k)
rf64
    RF64 (RIFF 64)

  Options
The following options are recoginzed:

-override-sample-rate=rate
    Make the input use sample rate of rate Hz.
-endian=little
    Make the output file use little endian data.
-endian=big
    Make the output file use big endian data.
-endian=cpu
    Make the output file use CPU endianness.
-normalize
    Normalize the audio data in the output file.

  Encodings
The optional encoding parameter allows setting of the data encoding for the output file. The following encodings are currently supported:

-pcms8
    signed 8 bit pcm
-pcmu8
    unsigned 8 bit pcm
-pcm16
    16 bit pcm
-pcm24
    24 bit pcm
-pcm32
    32 bit pcm
-float32
    32 bit floating point
-ulaw
    ULAW
-alaw
    ALAW
-ima-adpcm
    IMA ADPCM (WAV only)
-ms-adpcm
    MS ADPCM (WAV only)
-gsm610
    GSM6.10 (WAV only)
-dwvw12
    12 bit DWVW (AIFF only)
-dwvw16
    16 bit DWVW (AIFF only)
-dwvw24
    24 bit DWVW (AIFF only)
-vorbis
    Vorbis (OGG only)

If no encoding is specified for the output file, sndfile-convert will try to use the encoding of the input file. This will not always work as most container formats (e.g. WAV, AIFF etc) only support a small subset of encodings (e.g. 16 bit PCM, a-law, Vorbis etc).

EXIT STATUS

SEE ALSO
http://libsndfile.github.io/libsndfile/

AUTHORS
Erik de Castro Lopo <erikd@mega-nerd.com>.